package com.ruoyi.bid.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公司信息对象 bid_company
 * 
 * @author ruoyi
 * @date 2025-12-10
 */
public class BidCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 公司ID */
    @Excel(name = "公司ID")
    private String companyId;

    /** 租户代码 */
    @Excel(name = "租户代码")
    private String tenantCode;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 帐户名称 */
    @Excel(name = "帐户名称")
    private String accountName;

    /** 开户银行 */
    @Excel(name = "开户银行")
    private String accountBank;

    /** 银行地址 */
    @Excel(name = "银行地址")
    private String bankAddress;

    /** 开户许可证照片 */
    @Excel(name = "开户许可证照片")
    private String annex;

    /** 银行账号 */
    @Excel(name = "银行账号")
    private String bankAccount;

    /** 银行行号 */
    @Excel(name = "银行行号")
    private String bankNo;

    /** 银行电话 */
    @Excel(name = "银行电话")
    private String bankPhone;

    /** 授权委托人 */
    @Excel(name = "授权委托人")
    private String trueName;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 身份证照片 */
    @Excel(name = "身份证照片")
    private String idPhpto;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idNumber;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date idCardStart;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date idCardEnd;

    /** 最大进度 */
    @Excel(name = "最大进度")
    private String maxProgress;

    /** 企业ID */
    @Excel(name = "企业ID")
    private String businessId;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String phoneNumber;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String socialCode;

    /** 公司性质 */
    @Excel(name = "公司性质")
    private String nature;

    /** 登记机关 */
    @Excel(name = "登记机关")
    private String authority;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startTime;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicense;

    /** 法定代表人 */
    @Excel(name = "法定代表人")
    private String legalRepresentative;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String registeredCapital;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 完整地址 */
    @Excel(name = "完整地址")
    private String fullAddress;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registeredTime;

    /** 经营开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "经营开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date businessStart;

    /** 经营结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "经营结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date businessEnd;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String businessScope;

    /** 企业基础代码 */
    @Excel(name = "企业基础代码")
    private String companyBasicId;

    /** 企业大小 */
    @Excel(name = "企业大小")
    private String enterpriseSize;

    /** 行业 */
    @Excel(name = "行业")
    private String industry;

    /** 网站 */
    @Excel(name = "网站")
    private String website;

    /** 公司联系电话 */
    @Excel(name = "公司联系电话")
    private String contactPhone;

    /** 邮编 */
    @Excel(name = "邮编")
    private String postcode;

    /** 传真 */
    @Excel(name = "传真")
    private String fax;

    /** 安全许可证 */
    @Excel(name = "安全许可证")
    private String securityLicense;

    /** 安全许可证开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安全许可证开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date securityStart;

    /** 安全许可证结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安全许可证结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date securityEnd;

    /** 结构 */
    @Excel(name = "结构")
    private String structure;

    /** 公司简介 */
    @Excel(name = "公司简介")
    private String companyProfile;

    /** 描述 */
    @Excel(name = "描述")
    private String softPowerText;

    /** 图片 */
    @Excel(name = "图片")
    private String softPowerImg;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setCompanyId(String companyId) 
    {
        this.companyId = companyId;
    }

    public String getCompanyId() 
    {
        return companyId;
    }

    public void setTenantCode(String tenantCode) 
    {
        this.tenantCode = tenantCode;
    }

    public String getTenantCode() 
    {
        return tenantCode;
    }

    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }

    public void setAccountName(String accountName) 
    {
        this.accountName = accountName;
    }

    public String getAccountName() 
    {
        return accountName;
    }

    public void setAccountBank(String accountBank) 
    {
        this.accountBank = accountBank;
    }

    public String getAccountBank() 
    {
        return accountBank;
    }

    public void setBankAddress(String bankAddress) 
    {
        this.bankAddress = bankAddress;
    }

    public String getBankAddress() 
    {
        return bankAddress;
    }

    public void setAnnex(String annex) 
    {
        this.annex = annex;
    }

    public String getAnnex() 
    {
        return annex;
    }

    public void setBankAccount(String bankAccount) 
    {
        this.bankAccount = bankAccount;
    }

    public String getBankAccount() 
    {
        return bankAccount;
    }

    public void setBankNo(String bankNo) 
    {
        this.bankNo = bankNo;
    }

    public String getBankNo() 
    {
        return bankNo;
    }

    public void setBankPhone(String bankPhone) 
    {
        this.bankPhone = bankPhone;
    }

    public String getBankPhone() 
    {
        return bankPhone;
    }

    public void setTrueName(String trueName) 
    {
        this.trueName = trueName;
    }

    public String getTrueName() 
    {
        return trueName;
    }

    public void setPosition(String position) 
    {
        this.position = position;
    }

    public String getPosition() 
    {
        return position;
    }

    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }

    public void setIdPhpto(String idPhpto) 
    {
        this.idPhpto = idPhpto;
    }

    public String getIdPhpto() 
    {
        return idPhpto;
    }

    public void setIdNumber(String idNumber) 
    {
        this.idNumber = idNumber;
    }

    public String getIdNumber() 
    {
        return idNumber;
    }

    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }

    public void setIdCardStart(Date idCardStart) 
    {
        this.idCardStart = idCardStart;
    }

    public Date getIdCardStart() 
    {
        return idCardStart;
    }

    public void setIdCardEnd(Date idCardEnd) 
    {
        this.idCardEnd = idCardEnd;
    }

    public Date getIdCardEnd() 
    {
        return idCardEnd;
    }

    public void setMaxProgress(String maxProgress) 
    {
        this.maxProgress = maxProgress;
    }

    public String getMaxProgress() 
    {
        return maxProgress;
    }

    public void setBusinessId(String businessId) 
    {
        this.businessId = businessId;
    }

    public String getBusinessId() 
    {
        return businessId;
    }

    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }

    public void setSocialCode(String socialCode) 
    {
        this.socialCode = socialCode;
    }

    public String getSocialCode() 
    {
        return socialCode;
    }

    public void setNature(String nature) 
    {
        this.nature = nature;
    }

    public String getNature() 
    {
        return nature;
    }

    public void setAuthority(String authority) 
    {
        this.authority = authority;
    }

    public String getAuthority() 
    {
        return authority;
    }

    public void setStartTime(String startTime) 
    {
        this.startTime = startTime;
    }

    public String getStartTime() 
    {
        return startTime;
    }

    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }

    public void setBusinessLicense(String businessLicense) 
    {
        this.businessLicense = businessLicense;
    }

    public String getBusinessLicense() 
    {
        return businessLicense;
    }

    public void setLegalRepresentative(String legalRepresentative) 
    {
        this.legalRepresentative = legalRepresentative;
    }

    public String getLegalRepresentative() 
    {
        return legalRepresentative;
    }

    public void setRegisteredCapital(String registeredCapital) 
    {
        this.registeredCapital = registeredCapital;
    }

    public String getRegisteredCapital() 
    {
        return registeredCapital;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setFullAddress(String fullAddress) 
    {
        this.fullAddress = fullAddress;
    }

    public String getFullAddress() 
    {
        return fullAddress;
    }

    public void setRegisteredTime(Date registeredTime) 
    {
        this.registeredTime = registeredTime;
    }

    public Date getRegisteredTime() 
    {
        return registeredTime;
    }

    public void setBusinessStart(Date businessStart) 
    {
        this.businessStart = businessStart;
    }

    public Date getBusinessStart() 
    {
        return businessStart;
    }

    public void setBusinessEnd(Date businessEnd) 
    {
        this.businessEnd = businessEnd;
    }

    public Date getBusinessEnd() 
    {
        return businessEnd;
    }

    public void setBusinessScope(String businessScope) 
    {
        this.businessScope = businessScope;
    }

    public String getBusinessScope() 
    {
        return businessScope;
    }

    public void setCompanyBasicId(String companyBasicId) 
    {
        this.companyBasicId = companyBasicId;
    }

    public String getCompanyBasicId() 
    {
        return companyBasicId;
    }

    public void setEnterpriseSize(String enterpriseSize) 
    {
        this.enterpriseSize = enterpriseSize;
    }

    public String getEnterpriseSize() 
    {
        return enterpriseSize;
    }

    public void setIndustry(String industry) 
    {
        this.industry = industry;
    }

    public String getIndustry() 
    {
        return industry;
    }

    public void setWebsite(String website) 
    {
        this.website = website;
    }

    public String getWebsite() 
    {
        return website;
    }

    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }

    public void setPostcode(String postcode) 
    {
        this.postcode = postcode;
    }

    public String getPostcode() 
    {
        return postcode;
    }

    public void setFax(String fax) 
    {
        this.fax = fax;
    }

    public String getFax() 
    {
        return fax;
    }

    public void setSecurityLicense(String securityLicense) 
    {
        this.securityLicense = securityLicense;
    }

    public String getSecurityLicense() 
    {
        return securityLicense;
    }

    public void setSecurityStart(Date securityStart) 
    {
        this.securityStart = securityStart;
    }

    public Date getSecurityStart() 
    {
        return securityStart;
    }

    public void setSecurityEnd(Date securityEnd) 
    {
        this.securityEnd = securityEnd;
    }

    public Date getSecurityEnd() 
    {
        return securityEnd;
    }

    public void setStructure(String structure) 
    {
        this.structure = structure;
    }

    public String getStructure() 
    {
        return structure;
    }

    public void setCompanyProfile(String companyProfile) 
    {
        this.companyProfile = companyProfile;
    }

    public String getCompanyProfile() 
    {
        return companyProfile;
    }

    public void setSoftPowerText(String softPowerText) 
    {
        this.softPowerText = softPowerText;
    }

    public String getSoftPowerText() 
    {
        return softPowerText;
    }

    public void setSoftPowerImg(String softPowerImg) 
    {
        this.softPowerImg = softPowerImg;
    }

    public String getSoftPowerImg() 
    {
        return softPowerImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("tenantCode", getTenantCode())
            .append("companyName", getCompanyName())
            .append("accountName", getAccountName())
            .append("accountBank", getAccountBank())
            .append("bankAddress", getBankAddress())
            .append("annex", getAnnex())
            .append("bankAccount", getBankAccount())
            .append("bankNo", getBankNo())
            .append("bankPhone", getBankPhone())
            .append("trueName", getTrueName())
            .append("position", getPosition())
            .append("sex", getSex())
            .append("idPhpto", getIdPhpto())
            .append("idNumber", getIdNumber())
            .append("birthday", getBirthday())
            .append("idCardStart", getIdCardStart())
            .append("idCardEnd", getIdCardEnd())
            .append("maxProgress", getMaxProgress())
            .append("businessId", getBusinessId())
            .append("phoneNumber", getPhoneNumber())
            .append("socialCode", getSocialCode())
            .append("nature", getNature())
            .append("authority", getAuthority())
            .append("startTime", getStartTime())
            .append("email", getEmail())
            .append("businessLicense", getBusinessLicense())
            .append("legalRepresentative", getLegalRepresentative())
            .append("registeredCapital", getRegisteredCapital())
            .append("address", getAddress())
            .append("fullAddress", getFullAddress())
            .append("registeredTime", getRegisteredTime())
            .append("businessStart", getBusinessStart())
            .append("businessEnd", getBusinessEnd())
            .append("businessScope", getBusinessScope())
            .append("companyBasicId", getCompanyBasicId())
            .append("enterpriseSize", getEnterpriseSize())
            .append("industry", getIndustry())
            .append("website", getWebsite())
            .append("contactPhone", getContactPhone())
            .append("postcode", getPostcode())
            .append("fax", getFax())
            .append("securityLicense", getSecurityLicense())
            .append("securityStart", getSecurityStart())
            .append("securityEnd", getSecurityEnd())
            .append("structure", getStructure())
            .append("companyProfile", getCompanyProfile())
            .append("softPowerText", getSoftPowerText())
            .append("softPowerImg", getSoftPowerImg())
            .toString();
    }
}
